Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Gentoo Local Security Checks >> [GLSA-200407-19] Pavuk: Digest authentication helper buffer overflow


Vulnerability Assessment Details

[GLSA-200407-19] Pavuk: Digest authentication helper buffer overflow

Vulnerability Assessment Summary
Pavuk: Digest authentication helper buffer overflow

Detailed Explanation for this Vulnerability Assessment
The remote host is affected by the vulnerability described in GLSA-200407-19
(Pavuk: Digest authentication helper buffer overflow)


Pavuk contains several buffer overflow vulnerabilities in the code handling
digest authentication.

Impact

A possible hacker could cause a buffer overflow, leading to arbitrary code
execution with the rights of the user running Pavuk.

Workaround

There is no known workaround at this time. All users are encouraged to
upgrade to the latest available version of Pavuk.


Solution:
All Pavuk users should upgrade to the latest version:
# emerge sync
# emerge -pv ">=net-misc/pavuk-0.9.28-r3"
# emerge ">=net-misc/pavuk-0.9.28-r3"


Network Security Threat Level: Medium


Networks Security ID:

Vulnerability Assessment Copyright: (C) 2005 Michel Arboi

Cables, Connectors

LOT OF 3 CISCO IP PHONE 7910 SERIES
$47.0
LOT OF 3 CISCO IP PHONE 7910 SERIES pictureCisco Catalyst (MEC375024TEM) 24-Ports Rack-Mountable Switch Managed stackable
$182.6
Cisco  Catalyst (MEC375024TEM) 24-Ports Rack-Mountable Switch Managed stackable pictureLinksys/Cisco Wireless-N Broadband Router WRT300N
$4.5
Linksys/Cisco Wireless-N Broadband Router WRT300N pictureCisco ASA 5505 Security Plus W POWER ASA5505-SEC-BUN-K9 512M
$73.0
Cisco ASA 5505 Security Plus W POWER ASA5505-SEC-BUN-K9 512M picture


Discussions

No Discussions have been posted on this vulnerability.